CREATE TABLE exm_exch_rate_tolerances_ (
    EXCHANGE_RATE_TOLERANCE_ID    NUMBER(18, 0) ,
    EXCHANGE_RATE_ID              NUMBER(18, 0) ,
    CURRENCY_CODE                 VARCHAR2(60)  ,
    DFLT_EXCHANGE_RATE_FLAG       VARCHAR2(4)   ,
    WARNING_TOLERANCE             NUMBER        ,
    ERROR_TOLERANCE               NUMBER        ,
    DISP_WARNING_TO_USER          VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)  ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    CREATED_BY                    VARCHAR2(256) ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    AUDIT_ACTION_TYPE_            VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_         VARCHAR2(4000),
    AUDIT_IMPERSONATOR_           VARCHAR2(256) ,
    EXCHANGE_RATE_TOLERANCE_ID    NUMBER(18, 0) ,
    EXCHANGE_RATE_ID              NUMBER(18, 0) ,
    CURRENCY_CODE                 VARCHAR2(60)  ,
    DFLT_EXCHANGE_RATE_FLAG       VARCHAR2(4)   ,
    WARNING_TOLERANCE             NUMBER        ,
    ERROR_TOLERANCE               NUMBER        ,
    DISP_WARNING_TO_USER          VARCHAR2(4)   ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)  ,
    CREATION_DATE                 TIMESTAMP(6)  ,
    CREATED_BY                    VARCHAR2(256) ,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    LAST_UPDATE_DATE              TIMESTAMP(6)  ,
    LAST_UPDATED_BY               VARCHAR2(256) ,
    AUDIT_ACTION_TYPE_            VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_         VARCHAR2(4000),
    AUDIT_IMPERSONATOR_           VARCHAR2(256) ,
    CONSTRAINT pk_exm_exch_rate_tolerances_ PRIMARY KEY (EXCHANGE_RATE_TOLERANCE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, EXCHANGE_RATE_TOLERANCE_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
